const program = require('commander')

const packageConf = require('../package.json')

program.version(packageConf.version)
  .usage('wepback-base')
  .option(
    '-c, --config [value]',
    'The root (current project) settings configuration file',
    './meipian.config.js'
  )

exports.program = program
exports.deve = new Promise(function(resolve, reject) {
  program.command('deve ')
    .description('-- Pre-release project')
    .action(function(context) {
      resolve(context)
    })
})

exports.prod = new Promise(function(resolve, reject) {
  program.command('prod ')
    .description('-- Release line project')
    .action(function(context) {
      resolve(context)
    })
})

exports.server = new Promise(function(resolve, reject) {
  program.command('server ')
    .option('-p, --port [value]', 'Server port', '8080')
    .description('-- Start this service into development mode')
    .action(function(context) {
      resolve(context)
    })
})

program.parse(process.argv)
Object.freeze(exports)